# Create Category

## POST /public/v1/public-catalog/categories

> Creates a new category record in the public catalog.\
> Accepts a request with necessary details to create the category.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5102-g2bf281b6"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/public-catalog/categories":{"post":{"tags":["Categories"],"summary":"Creates a new category record in the public catalog.\nAccepts a request with necessary details to create the category.","requestBody":{"description":"The details of the category to create, including name and optional description.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateCategoryRequest"}],"description":"Represents a request to create a new category in the public catalog.\nContains the necessary properties for specifying category details."}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateCategoryRequest"}],"description":"Represents a request to create a new category in the public catalog.\nContains the necessary properties for specifying category details."}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateCategoryRequest"}],"description":"Represents a request to create a new category in the public catalog.\nContains the necessary properties for specifying category details."}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryEntity"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"CreateCategoryRequest":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true},"parentCategory":{"allOf":[{"$ref":"#/components/schemas/RequestObjectLink"}],"nullable":true},"vendorProfiles":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"},"nullable":true},"productProfiles":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"},"nullable":true}},"additionalProperties":false,"description":"Represents a request to create a new category in the public catalog.\nContains the necessary properties for specifying category details."},"RequestObjectLink":{"type":"object","properties":{"id":{"type":"string"}},"additionalProperties":false},"CategoryEntity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/CategoryAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"parentCategory":{"type":"object","allOf":[{"$ref":"#/components/schemas/CategoryEntityRef"}]},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"CategoryAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"CategoryEntityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
